<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
</head>

<script type="text/javascript">
	
	
	function cargar_numeros(objeto){
		let celdas=[];
		celdas = document.querySelectorAll("td");
		let i = 0;
		for(i=0; i < celdas.length; i++){
			celdas[i].innerHTML =  Math.trunc(Math.random()*9+1);
		}	

		
	}
	function vaciar(objeto){
		objeto.innerHTML = " ";
		objeto.backgroundColor = "blue";

	}	
	
</script>
<body onload="cargar_numeros(this)">
	
	<table>
		<tr>
			<td onclic="vaciar(this)"></td>
			<td onclic="vaciar(this)"></td>
			<td onclic="vaciar(this)"></td>
			<td onclic="vaciar(this)"></td>
			<td onclic="vaciar(this)"></td>
			<td onclic="vaciar(this)"></td>
		</tr>
	</table>


</body>
</html>